Bug 1309082 - Uncaught exception when creating new VM from template
Uncaught exception when creating new VM from template
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.6.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: nobody nobody
:
Depends On: 1286224
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-16 14:31 EST by Kumar
Modified: 2016-02-17 10:23 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1286224
Environment:
Last Closed: 2016-02-17 10:23:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 50591 None None None 2016-02-16 14:31 EST
oVirt gerrit 50646 None None None 2016-02-16 14:31 EST

  None (edit)
Description Kumar 2016-02-16 14:31:01 EST
+++ This bug was initially created as a clone of Bug #1286224 +++

Description of problem:
There is an uncaught exception in browser console log when creating new VM from template.

13:51:41.075 Fri Nov 27 13:51:41 GMT+100 2015 
SEVERE: Uncaught exception: com.google.gwt.core.client.JavaScriptException: (TypeError) 
 __gwt$exception: <skipped>: zab(...) is undefined
	at Unknown.k5q(Unknown Source)
	at Unknown.o5q(Unknown Source)
	at Unknown.A5q(Unknown Source)
	at Unknown.CMn(Unknown Source)
	at Unknown.FMn(Unknown Source)
	at Unknown.wQn(Unknown Source)
	at Unknown.zQn(Unknown Source)
	at Unknown.uPn(Unknown Source)
	at Unknown.xPn(Unknown Source)
	at Unknown.BHe(Unknown Source)
	at Unknown.Evk(Unknown Source)
	at Unknown.r3(Unknown Source)
	at Unknown.K3(Unknown Source)
	at Unknown.Duf/c.onreadystatechange<(Unknown Source)
	at Unknown.Yt(Unknown Source)
	at Unknown.au(Unknown Source)
	at Unknown._t/<(Unknown Source)
	at Unknown.anonymous(Unknown Source)
1 3D3715EC390EF8179A7EF851FB5EC9A5.cache.html:24007:11772
LCe() 3D3715EC390EF8179A7EF851FB5EC9A5.cache.html:24007
UDe() 3D3715EC390EF8179A7EF851FB5EC9A5.cache.html:22059
TDe() 3D3715EC390EF8179A7EF851FB5EC9A5.cache.html:19639
iEe() 3D3715EC390EF8179A7EF851FB5EC9A5.cache.html:9938
GIk() 3D3715EC390EF8179A7EF851FB5EC9A5.cache.html:24049
gu() 3D3715EC390EF8179A7EF851FB5EC9A5.cache.html:18278
au() 3D3715EC390EF8179A7EF851FB5EC9A5.cache.html:21165
_t/<() 3D3715EC390EF8179A7EF851FB5EC9A5.cache.html:20528

The VM is created successfully, but an error shows up with this exception.

Version-Release number of selected component (if applicable):
rhevm-3.6.1-0.2.el6.noarch
ovirt-engine-3.6.1-1.el6.noarch

How reproducible:
always on my machines

Steps to Reproduce:
1. create new vm
2. select some template with disk as base
3. create the vm

Actual results:
error message

Expected results:
no error message

Additional info:

--- Additional comment from Tomas Jelinek on 2015-12-16 04:38:29 EST ---

The actual exception is this:
java.lang.NullPointerException: null 	
org.ovirt.engine.ui.uicommonweb.models.vms.InstanceImagesModel.findBecomeNonBoot(InstanceImagesModel.java:191) 	org.ovirt.engine.ui.uicommonweb.models.vms.InstanceImagesModel.orderedDisksIterator(InstanceImagesModel.java:177) org.ovirt.engine.ui.uicommonweb.models.vms.InstanceImagesModel.access$1(InstanceImagesModel.java:167) 	org.ovirt.engine.ui.uicommonweb.models.vms.InstanceImagesModel$2.onSuccess(InstanceImagesModel.java:153)

--- Additional comment from Tomas Jelinek on 2015-12-17 02:56:25 EST ---

not yet modified - needs a backport. Moving back to POST

--- Additional comment from Petr Matyáš on 2016-01-06 04:11:52 EST ---

Verified on 3.6.2-3

Note You need to log in before you can comment on or make changes to this bug.